# Generated by Django 2.2.24 on 2021-09-22 12:40

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('l10n', '0001_initial'),
        ('address', '0002_auto_20210609_0505'),
    ]

    operations = [
        migrations.CreateModel(
            name='Store',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, unique=True, verbose_name='code')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('default', models.BooleanField(default=False, verbose_name='default')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='store_store_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='store_store_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'store',
                'verbose_name_plural': 'stores',
                'ordering': ('ordering',),
                'permissions': (('list_store', 'Can list store'), ('detail_store', 'Can detail store'), ('enable_store', 'Can enable store'), ('disable_store', 'Can disable store')),
            },
        ),
        migrations.CreateModel(
            name='StoreDocument',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, unique=True)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('description', models.TextField()),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='store_storedocument_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='store_storedocument_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'store document',
                'verbose_name_plural': 'store documents',
                'ordering': ('ordering',),
                'permissions': (('list_storedocument', 'Can list store document'), ('detail_storedocument', 'Can detail store document'), ('enable_storedocument', 'Can enable store document'), ('disable_storedocument', 'Can disable store document')),
            },
        ),
        migrations.CreateModel(
            name='StoreDocumentNumber',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('application', models.CharField(max_length=1)),
                ('year', models.IntegerField()),
                ('last_number', models.IntegerField()),
                ('last_date', models.DateField()),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='store_storedocumentnumber_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='store_storedocumentnumber_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
                ('store_document', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='numbers', to='store.StoreDocument')),
            ],
            options={
                'verbose_name': 'store document number',
                'verbose_name_plural': 'store document numbers',
                'ordering': ('ordering',),
                'permissions': (('list_storedocumentnumber', 'Can list store document number'), ('detail_storedocumentnumber', 'Can detail store document number'), ('enable_storedocumentnumber', 'Can enable store document number'), ('disable_storedocumentnumber', 'Can disable store document number')),
            },
        ),
        migrations.CreateModel(
            name='StoreCause',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, unique=True, verbose_name='code')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('category', models.CharField(choices=[('com', 'company'), ('cus', 'customer'), ('sup', 'supplier'), ('vec', 'vector'), ('whe', 'warehouse')], db_index=True, max_length=3, verbose_name='category')),
                ('move', models.CharField(choices=[('not', 'not moving'), ('in', 'in'), ('out', 'out')], db_index=True, max_length=3, verbose_name='move')),
                ('ddt_required', models.BooleanField(db_index=True, default=False, verbose_name='ddt required')),
                ('invoice_required', models.BooleanField(db_index=True, default=False, verbose_name='invoice required')),
                ('stock', models.IntegerField(choices=[(0, ' '), (1, '+'), (-1, '-')], db_index=True, verbose_name='stock')),
                ('busy', models.IntegerField(choices=[(0, ' '), (1, '+'), (-1, '-')], db_index=True, verbose_name='busy')),
                ('default', models.BooleanField(default=False, verbose_name='default')),
                ('default_for_shop', models.BooleanField()),
                ('model_template', models.CharField(blank=True, max_length=30)),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='store_storecause_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='store_storecause_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
                ('store', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='store_causes', to='store.Store', verbose_name='store')),
                ('store_document', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='store_causes', to='store.StoreDocument', verbose_name='store document')),
            ],
            options={
                'verbose_name': 'store cause',
                'verbose_name_plural': 'store causes',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_storecause', 'Can list store cause'), ('detail_storecause', 'Can detail store cause'), ('enable_storecause', 'Can enable store cause'), ('disable_storecause', 'Can disable store cause')),
            },
        ),
        migrations.CreateModel(
            name='StoreAddress',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('address_type', models.IntegerField(blank=True, choices=[(1, 'Corso'), (2, 'Largo'), (3, 'Località'), (4, 'Piazza'), (5, 'Strada/Stretto'), (6, 'Traversa'), (7, 'Via'), (8, 'Viale'), (9, 'Vicolo/Vico'), (10, 'Circonvallazione'), (11, 'Frazione'), (12, 'Rione'), (13, 'Salita'), (14, 'Contrada'), (15, 'Statale'), (16, 'Autostrada'), (17, 'Cascina'), (18, 'Parco'), (19, 'Spalto'), (20, 'Tangenziale'), (21, 'Zona industriale'), (22, 'Borgo'), (23, 'Galleria'), (24, 'Piazzale'), (25, 'Corte'), (26, 'Centro'), (27, 'Foro'), (28, 'Lungo/Lungomare'), (29, 'Calle'), (30, 'Riviera'), (31, 'Villaggio'), (32, 'Passaggio'), (33, 'Borgata'), (34, 'Lungolago')], db_index=True, default=7, null=True, verbose_name='address type')),
                ('name', models.CharField(db_index=True, max_length=100, verbose_name='name')),
                ('number', models.CharField(blank=True, db_column='a_number', max_length=20, verbose_name='number')),
                ('crossed', models.CharField(blank=True, max_length=5, verbose_name='crossed')),
                ('scale', models.CharField(blank=True, max_length=5, verbose_name='scale')),
                ('floor', models.CharField(blank=True, max_length=3, verbose_name='floor')),
                ('zip_code', models.CharField(blank=True, db_index=True, max_length=20, verbose_name='zip code')),
                ('locality', models.CharField(blank=True, db_index=True, max_length=100, verbose_name='locality')),
                ('province', models.CharField(blank=True, db_index=True, max_length=3, verbose_name='province')),
                ('post_office', models.CharField(blank=True, max_length=10, verbose_name='post office')),
                ('lat', models.DecimalField(blank=True, decimal_places=17, max_digits=20, null=True, verbose_name='latitude')),
                ('lng', models.DecimalField(blank=True, decimal_places=17, max_digits=20, null=True, verbose_name='longitude')),
                ('address_scopes', models.ManyToManyField(db_index=True, to='address.AddressScope', verbose_name='address scopes')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='l10n.Country', verbose_name='country')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='store_storeaddress_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='store_storeaddress_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
                ('store', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, related_name='address', to='store.Store')),
            ],
            options={
                'verbose_name': 'store address',
                'verbose_name_plural': 'store addresses',
                'ordering': ('ordering',),
                'permissions': (('list_storeaddress', 'Can list store address'), ('detail_storeaddress', 'Can detail store address'), ('enable_storeaddress', 'Can enable store address'), ('disable_storeaddress', 'Can disable store address')),
            },
        ),
    ]
